<?php

namespace FiloBlu\ExtTargetRule\Block\Catalog\Product\ProductList;

class Upsell extends \Magento\TargetRule\Block\Catalog\Product\ProductList\Upsell
{
    public function getUpsellAjaxUrl()
    {
        //get site base url
        /** @var \Magento\Store\Model\StoreManagerInterface $baseUrl */
        $baseUrl = $this->_storeManager->getStore()->getBaseUrl();

        //get current product
        /** @var \Magento\Catalog\Model\Product $product */
        $product = $this->getProduct();

        return $baseUrl . "/exttargetrule/products/upsellAjax/id/" . $product->getEntityId();
    }
}